Package org.eclipse.mat.internal.collectionextract

# Class KnownCollectionInfo

java.lang.Object
org.eclipse.mat.internal.collectionextract.KnownCollectionInfo

All Implemented Interfaces:
  `ICollectionExtractorProvider`

public class KnownCollectionInfo extends Object implements ICollectionExtractorProvider

## Constructor Summary

Constructors
Constructor
Description
`KnownCollectionInfo()`

## Method Summary

Modifier and Type
Method
Description
`List<CollectionExtractionInfo>`
`getExtractorInfo()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KnownCollectionInfo

public KnownCollectionInfo()

## Method Details

### getExtractorInfo

public List<CollectionExtractionInfo> getExtractorInfo()

Specified by:
  `getExtractorInfo` in interface `ICollectionExtractorProvider`